// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "../libs.h"
#include "frame.h"
#include "textmenu.h"

/** The default gutter for the grid of a framed text menu */
#define FRAMED_TEXT_MENU_GUTTER_DEFAULT 8.0f

typedef struct {
  frame_t frame;
  textmenu_t menu;
} framedtextmenu_t;