/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../scripter.h"
#include "../../display/primitive.h"
#include "../../display/primitives/cube.h"

#define SCRIPT_PRIMITIVE_DRAW_NAME "primitiveDraw"
#define SCRIPT_PRIMITIVE_DRAW_ARGS 3

#define SCRIPT_CUBE_INIT_NAME "cubeCreate"
#define SCRIPT_CUBE_INIT_ARGS 0

void scriptsApiPrimitive(scripter_t *scripter);